tigase.auth

## Enum BruteForceLockerBean.Mode

- java.lang.Object
- - java.lang.Enum<BruteForceLockerBean.Mode>
  - - tigase.auth.BruteForceLockerBean.Mode

- All Implemented Interfaces:
    Serializable, Comparable<BruteForceLockerBean.Mode>
  Enclosing class:
    BruteForceLockerBean

      public static enum BruteForceLockerBean.Mode
      extends Enum<BruteForceLockerBean.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Ip`
    `IpJid`
    `Jid`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BruteForceLockerBean.Mode` | `merge(BruteForceLockerBean.Mode mode)`
    `static BruteForceLockerBean.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BruteForceLockerBean.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Ip

          public static final BruteForceLockerBean.Mode Ip

    - #### IpJid

          public static final BruteForceLockerBean.Mode IpJid

    - #### Jid

          public static final BruteForceLockerBean.Mode Jid

  - ### Method Detail

    - #### values

          public static BruteForceLockerBean.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BruteForceLockerBean.Mode c : BruteForceLockerBean.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BruteForceLockerBean.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### merge

          public BruteForceLockerBean.Mode merge(BruteForceLockerBean.Mode mode)

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.